FileWriteMode
Date: 2016-05-24

com.google.common.io

## Enum FileWriteMode

- java.lang.Object
- - java.lang.Enum<FileWriteMode>
  - - com.google.common.io.FileWriteMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FileWriteMode>

      public enum FileWriteMode
      extends java.lang.Enum<FileWriteMode>

  Modes for opening a file for writing. The default when mode when none is specified is to truncate the file before writing.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPEND` Specifies that writes to the opened file should append to the end of the file.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FileWriteMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FileWriteMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### APPEND

          public static final FileWriteMode APPEND

      Specifies that writes to the opened file should append to the end of the file.

  - ### Method Detail

    - #### values

          public static FileWriteMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FileWriteMode c : FileWriteMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FileWriteMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null